﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            DataTable dt = new DataTable();
            dt.Columns.AddRange(new DataColumn[4] { new DataColumn("Id"), new DataColumn("Gender"), new DataColumn("Name"), new DataColumn("Country") });
            dt.Rows.Add(1, "M", "John Hammond", "United States");
            dt.Rows.Add(2, "M", "Mudassar Khan", "India");
            dt.Rows.Add(3, "F", "Suzanne Mathews", "France");
            dt.Rows.Add(4, "M", "Robert Schidner", "Russia");
            GridView1.DataSource = dt;
            GridView1.DataBind();
        }
    }

    protected void OnRowDataBound(object sender, GridViewRowEventArgs e)
    {
        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            string gender = (e.Row.DataItem as DataRowView)["Gender"].ToString();
            CheckBoxList chkGender = (e.Row.FindControl("chkGender") as CheckBoxList);
            chkGender.Items.FindByValue(gender).Selected = true;
        }
    }
}