﻿Imports System.Data

Partial Class VB
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        If Not Me.IsPostBack Then
            Dim dt As New DataTable()
            dt.Columns.AddRange(New DataColumn(3) {New DataColumn("Id"), New DataColumn("Gender"), New DataColumn("Name"), New DataColumn("Country")})
            dt.Rows.Add(1, "M", "John Hammond", "United States")
            dt.Rows.Add(2, "M", "Mudassar Khan", "India")
            dt.Rows.Add(3, "F", "Suzanne Mathews", "France")
            dt.Rows.Add(4, "M", "Robert Schidner", "Russia")
            GridView1.DataSource = dt
            GridView1.DataBind()
        End If
    End Sub

    Protected Sub OnRowDataBound(sender As Object, e As GridViewRowEventArgs)
        If e.Row.RowType = DataControlRowType.DataRow Then
            Dim gender As String = TryCast(e.Row.DataItem, DataRowView)("Gender").ToString()
            Dim chkGender As CheckBoxList = TryCast(e.Row.FindControl("chkGender"), CheckBoxList)
            chkGender.Items.FindByValue(gender).Selected = True
        End If
    End Sub
End Class
